Finalize or re-check manual WABA webhook readiness
POST
/v1/waba/finalize-webhookAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonchannel_idstringrequiredExisting official channel ID to finalize
min length 1
Responses
200OK
account_review_statusstringcheck_messagestringcheck_statusstringrequiredcode_verification_statusstringdisplay_phone_numberstringmessaging_limit_tierstringname_statusstringquality_ratingstringreadybooleanrequiredsetup_statusstringverified_namestringverify_tokenstringrequiredwaba_namestringwebhook_urlstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/waba/finalize-webhook" \
-H "Content-Type: application/json" \
-d '{
"channel_id": "string"
}'const response = await fetch("/v1/waba/finalize-webhook", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"channel_id": "string"
})
});import requests
response = requests.post(
"/v1/waba/finalize-webhook",
headers={
"Content-Type": "application/json"
},
json={
"channel_id": "string"
},
)Response
{
"account_review_status": "string",
"check_message": "string",
"check_status": "string",
"code_verification_status": "string",
"display_phone_number": "string",
"messaging_limit_tier": "string",
"name_status": "string",
"quality_rating": "string",
"ready": true,
"setup_status": "string",
"verified_name": "string",
"verify_token": "string",
"waba_name": "string",
"webhook_url": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}